.pt-o-game-6 {
  border-radius: 20px;
  background-color: white;
  position: relative;

  &__instruction {
    background: linear-gradient($mayaBlue, $dodgerBlue);
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 60px;
    // height: auto;
    min-height: 60px;
    padding: 2rem 4rem;

    span {
      line-height: 22px;
      font-size: 1.8rem;
      font-family: 'mont_m';
      color: $white;
    }
  }
  &__container {
    background-color: #aae3ff80;
    border-bottom-left-radius: 20px;
    border-bottom-right-radius: 20px;
    padding: 0.5rem 2rem 1.4rem;
    overflow-y: auto;
    width: initial;
    height: calc(100% - 60px);
    // height: auto;

    .game-dd1-section {
      &__exam-answers {
        background-color: white;
        border: 1px solid #d4e9ff;
        border-radius: 20px;
        padding: 0 0 1rem;
        width: initial;
        height: auto;
        hr {
          border: 1px solid #2692ff;
        }
        .header_exam {
          display: flex;
          align-items: center;
          transform: translateY(50%);
          padding-left: 2rem;
          color: #2692ff;
          span {
            color: $dodgerBlue;
            font-family: 'mont_m';
            font-size: 1.8rem;
          }
        }

        .item_exam {
          width: initial;
          height: 100%;
          display: flex;
          align-items: center;
          justify-content: space-between;
          line-height: 22px;
          padding: 8px 20px 0;

          &__list {
            display: flex;
            align-items: center;
            justify-content: flex-start;
            padding-right: 3rem;
            min-height: 100%;
            flex: 1;

            &.no-example-image {
              .__image {
                width: 0 !important;
                height: 0 !important;
                min-height: 0 !important;
                min-width: 0 !important;
                display: none;
                img {
                  height: 0;
                  width: 0;
                }
              }
            }
            &:last-child {
              padding-right: 0;
            }
            .__image {
              max-width: 120px;
              min-width: 120px;
              width: 120px;
              padding-right: 1rem;
              display: flex;
              align-items: center;
              justify-content: center;
              cursor: zoom-in;
              img {
                height: auto;
                max-width: 100%;
                border-radius: 7px;
              }
            }
            .dd1-example-keyword {
              width: 100%;
              font-size: 1.6rem;
              height: auto;

              &__item {
                display: flex;
                flex-wrap: wrap;
                flex-direction: row;
                text-align: left;
              }
              &__cell {
                font-family: 'mont_m';
                // height: 30px;
                height: auto;
                width: auto;
                min-width: 40px;
                background: #ffffff;
                border: 1px solid #d5dee8;
                box-sizing: border-box;
                margin: 0.3rem;
                border-radius: 15px;
                padding: 6px 14px;
                line-height: 22px;
                display: flex;
                align-items: center;
                justify-content: center;
              }

              .dd1-example-answers {
                width: 100%;
                display: block;
                text-align: left;

                &__text {
                  display: flex;
                  align-items: center;
                  img {
                    max-width: 100%;
                    max-height: 100%;
                  }
                  span {
                    font-family: 'mont_m';
                    font-size: 1.4rem;
                    line-height: 2.2rem;
                    color: $green;

                    &:nth-child(2) {
                      margin-left: 1rem;
                    }
                  }
                }
              }
            }
          }

          &.--flex-content {
            flex-direction: column;
            align-items: flex-start;
            & > div {
              margin-bottom: 2rem;
              padding-right: 0;

              &:last-child {
                margin-bottom: 0;
              }

              .__content_text {
                flex: 1;
              }
            }
          }
        }
      }

      &__content {
        background-color: white;
        margin-top: 1rem;
        margin-bottom: 1rem;
        border: 1px solid #d4e9ff;
        border-radius: 20px;
        padding: 0 0 1rem;
        display: flex;
        flex-direction: column;

        hr {
          border: 1px solid #2692ff;
        }

        .header_questions {
          display: flex;
          align-items: center;
          transform: translateY(50%);
          padding-left: 2rem;
          color: #2692ff;
          span {
            color: $dodgerBlue;
            font-family: 'mont_m';
            font-size: 1.8rem;
          }
        }

        .block-bottom-custom {
          position: absolute;
          bottom: 0;
          height: 1.4rem;
          background: $deepSkyBlue;
        }

        .box-answer {
          display: flex;
          flex-direction: row;
          align-items: center;
          padding: 1rem 2rem;

          &.no-image {
            .item-image {
              width: 0 !important;
              height: 0 !important;
              min-height: 0 !important;
              min-width: 0 !important;
            }
            .item-answers {
              width: 100% !important;
            }
          }
          .item-image {
            position: relative;
            width: 30%;
            display: flex;
            justify-content: center;
            align-items: center;
            // padding-right: 1rem;
            cursor: zoom-in;

            img {
              max-width: 100%;
              max-height: 100%;
              height: auto;
              border-radius: 10px;
              border: 1px solid #ccc;
            }
          }

          .item-answers {
            width: 70%;
            padding: 15px;
            border-radius: 2.4rem;
            border: 1px solid #d4e9ff;

            // min-height: 24rem;
            min-height: 16rem;
            height: max-content;
            display: flex;
            align-items: center;
            flex-direction: column;
            background-color: #aae3ff80;
            padding: 0;

            .__drop {
              &-box {
                width: 100%;
                min-height: 16rem;
                padding: 0 3.2rem 0.6rem 3.2rem;
                // background: $dodgerBlue;
                background: linear-gradient(-90deg, $aqua, $dodgerBlue);
                border-radius: 2.4rem;
                box-shadow: inset 0 0 0.64rem rgba($color: $black, $alpha: 0.4);
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                justify-content: center;
                overflow: hidden;
                &.--check{
                  flex-wrap: nowrap;
                  flex-direction: column;
                }
              }
              &-true-answers{
                display: flex;
                flex-wrap: wrap;
                border-bottom: 1px solid #fff;
                padding: 0.5rem 0;
                &:first-child{
                  padding-top: 0;
                }
                &:last-child{
                  padding-bottom: 0;
                  border-bottom: none;
                }
              }
              &-item {
                margin: 0.6rem;
                transition: transform 0.25s ease-in-out;
              }

              &-content {
                padding: 0.8rem;
                background: $white;
                border-radius: 1.2rem;
                box-shadow: 0 0.4rem 0 $lightSkyBlue;
                color: $dodgerBlue;
                cursor: grab;
                font-family: 'mont_sb';
                font-size: 1.8rem;
                line-height: 2.4rem;
                transition: background 0.25s ease-in-out;
                min-width: 3.5rem;
                text-align: center;
                &:hover {
                  background: $pattensBlue;
                }

                &.--invisible {
                  opacity: 0;
                }

                &.--danger {
                  color: $salmon;
                }

                &.--success {
                  color: $limeGreen;
                }
              }
            }

            .__drag {
              &-box {
                width: 100%;
                // padding: 0 1.6rem 0.6rem 1.6rem;
                flex: 1;
              }

              &-length {
                height: 100%;
                display: flex;
                flex-wrap: wrap;
                align-items: center;
                justify-content: center;
                align-content: center;
              }

              &-item {
                min-width: 8ch;
                margin: 0.6rem;
                text-align: center;

                &.--hidden {
                  display: none;
                }
              }

              &-content {
                padding: 0.4rem;
                background: $dodgerBlue;
                border-radius: 1.2rem;
                box-shadow: 0 0.4rem 0 $lightSkyBlue;
                color: $white;
                cursor: grab;
                font-family: 'mont_sb';
                font-size: 1.8rem;
                line-height: 2.4rem;
                position: relative;

                &:hover {
                  &::before {
                    opacity: 1;
                  }
                }

                &::before {
                  width: 100%;
                  height: 100%;
                  background: linear-gradient($limeGreen, $emerald);
                  border-radius: 1.2rem;
                  box-shadow: 0 0.4rem 0 $lightGreen;
                  content: '';
                  opacity: 0;
                  pointer-events: none;
                  position: absolute;
                  top: 0;
                  left: 0;
                  z-index: 1;
                  transition: opacity 0.25s ease-in-out;
                }

                &.--invisible {
                  opacity: 0;
                }

                & > span {
                  position: relative;
                  z-index: 2;
                  margin: 0 1rem;
                }
              }
            }
          }
        }
      }
    }
  }

  &__dragging-clone {
    padding: 0.8rem;
    border-radius: 1.2rem;
    color: $white;
    font-family: 'mont_sb';
    font-size: 2rem;
    line-height: 2.4rem;
    opacity: 0;
    pointer-events: none;
    position: fixed;
    z-index: 1000;
    transform: translate(calc(-50% - 1.6rem), calc(-50% - 1.6rem));

    &.--bottom {
      background: linear-gradient($limeGreen, $emerald);
      box-shadow: 0 0.4rem 0 $lightGreen;
      opacity: 1;
    }

    &.--top {
      background: $pattensBlue;
      box-shadow: 0 0.4rem 0 $lightSkyBlue;
      opacity: 1;
    }
  }

  .pt-o-game-6__container::-webkit-scrollbar {
    width: 7px;
    background-color: white;
  }
  .pt-o-game-6__container::-webkit-scrollbar-track {
    background-color: white;
    border-radius: 10px;
    -webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.3);
  }
  .pt-o-game-6__container::-webkit-scrollbar-thumb {
    background-color: #ccc !important;
    border-radius: 10px;
  }
}

@include desktop-md {
  .pt-o-game-6 {
    &__instruction {
      padding: 10px 20px;
      span {
        font-size: 1.6rem;
      }
    }

    &__container {
      .game-dd1-section {
        &__content {
          .box-answer {
            .item-answers {
              min-height: 15rem;
              .__drop {
                &-box {
                  min-height: 15rem;
                }
              }
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 1024px) and (max-aspect-ratio: 3999/3000) {
  .pt-o-game-6 {
    $font-size: 1.4rem;
    $line-height: 22px;

    &__instruction {
      padding: 5px 10px;
      min-height: 50px;
      height: auto;
      span {
        font-size: 1.6rem;
        line-height: $line-height;
      }
    }

    &__container {
      height: calc(100% - 50px);

      .game-dd1-section {
        &__exam-answers {
          padding: 0 0 5px;
          border-radius: 10px;
          .header_exam {
            span {
              font-size: $font-size;
              line-height: $line-height;
            }
          }
          .item_exam {
            width: 100%;
            flex-wrap: wrap;

            &__list {
              width: 100%;
              padding: 0;
              flex: none;
              margin-bottom: 10px;
              padding-right: 10px;

              .__image {
                height: auto;
                min-width: 100px;
                width: 100px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.15rem;
                  border-radius: 15px;
                  padding: 6px 14px;
                  line-height: $line-height;
                }

                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.15rem;
                      line-height: $line-height;
                    }
                  }
                }
              }
            }
            &.--flex-content {
              width: 100%;
              .item_exam__list {
                width: 100%;
              }
            }
          }
        }
        &__content {
          .header_questions {
            span {
              font-size: $font-size;
            }
          }
          .box-answer {
            flex-direction: column;
            .item-image {
              width: 100%;
              padding-top: 1rem;
              padding-bottom: 0.5rem;
              min-height: 15rem;

              img {
                max-width: 100%;
                max-height: 120px;
              }
            }

            .item-answers {
              // min-height: 20rem;
              min-height: 12rem;
              width: 100%;

              .__drop {
                &-box {
                  min-height: 12rem;
                  overflow: auto;
                }
                &-content {
                  font-size: 2rem;
                  padding: 1.2rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }
              }
              .__drag {
                &-content {
                  &:hover {
                    &::before {
                      opacity: 0;
                    }
                  }
                  display: block;
                  border-radius: 1.8rem;
                  font-size: 2rem;
                  padding: 1.2rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }

                &-length {
                  border-radius: 1.8rem;
                  font-size: 2rem;
                  // padding: 1.2rem;
                }
              }
            }
          }
        }
      }
    }
  }
}

@media only screen and (max-width: 960px) and (max-aspect-ratio: 3999/3000) {
  .pt-o-game-6 {
    $font-size: 1.2rem;
    $line-height: 22px;

    &__instruction {
      padding: 5px 10px;
      min-height: 50px;
      height: auto;
      span {
        font-size: 1.4rem;
        line-height: $line-height;
      }
    }

    &__container {
      height: calc(100% - 50px);

      .game-dd1-section {
        &__exam-answers {
          padding: 0 0 5px;
          border-radius: 10px;
          .header_exam {
            span {
              font-size: $font-size;
              line-height: $line-height;
            }
          }
          .item_exam {
            width: 100%;
            flex-wrap: wrap;

            &__list {
              width: 100%;
              padding: 0;
              flex: none;
              margin-bottom: 10px;
              padding-right: 10px;

              .__image {
                height: auto;
                min-width: 100px;
                width: 100px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.15rem;
                  line-height: $line-height;
                  padding: 4px 12px;
                }

                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.15rem;
                      line-height: $line-height;
                    }
                  }
                }
              }
            }
            &.--flex-content {
              width: 100%;
              .item_exam__list {
                width: 100%;
              }
            }
          }
        }
        &__content {
          .header_questions {
            span {
              font-size: $font-size;
            }
          }

          .box-answer {
            flex-direction: column;
            padding: 0 1rem 1rem;
            .item-image {
              width: 100%;
              padding-top: 1rem;
              padding-bottom: 0.5rem;
              // min-height: 12rem;
              img {
                max-height: 110px;
              }
            }

            .item-answers {
              // min-height: 20rem;
              min-height: 8rem;

              .__drop {
                &-box {
                  min-height: 8rem;
                }
                &-content {
                  border-radius: 1.4rem;
                  font-size: 1.6rem;
                  padding: 0.6rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }
              }
              .__drag {
                &-content {
                  &:hover {
                    &::before {
                      opacity: 0;
                    }
                  }
                  border-radius: 1.4rem;
                  font-size: 1.6rem;
                  padding: 0.6rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-mobile-portrait {
  .pt-o-game-6 {
    $font-size: 1.2rem;
    $line-height: 22px;

    &__instruction {
      padding: 5px 10px;
      min-height: 50px;
      height: auto;
      span {
        font-size: 1.4rem;
        line-height: $line-height;
      }
    }
    &__container {
      height: calc(100% - 50px);
      padding: 0 5px;

      .game-dd1-section {
        &__exam-answers {
          padding: 0 0 5px;
          border-radius: 10px;
          .header_exam {
            span {
              font-size: $font-size;
              line-height: $line-height;
            }
          }
          .item_exam {
            width: 100%;
            flex-wrap: wrap;

            &__list {
              width: 100%;
              padding: 0;
              flex: none;
              margin-bottom: 10px;

              .__image {
                height: auto;
                min-width: 100px;
                width: 100px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.15rem;
                  padding: 3px 6px;
                  border-radius: 15px;
                  line-height: 18px;
                }

                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.15rem;
                      line-height: $line-height;
                    }
                  }
                }
              }
            }
            &.--flex-content {
              width: 100%;
              .item_exam__list {
                width: 100%;
              }
            }
          }
        }

        &__content {
          .header_questions {
            span {
              font-size: $font-size;
              line-height: 2.2rem;
            }
          }
          .box-answer {
            flex-direction: column;
            padding: 0 1rem 1rem;
            .item-image {
              width: 100%;
              padding-top: 1rem;
              min-height: 10rem;

              img {
                max-height: 120px;
              }
            }

            .item-answers {
              width: 100%;
              min-height: 8rem;
              .__drop {
                &-box {
                  min-height: 8rem;
                }
                &-content {
                  border-radius: 1.4rem;
                  font-size: 1.6rem;
                  padding: 0.6rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }
              }
              .__drag {
                &-content {
                  &:hover {
                    &::before {
                      opacity: 0;
                    }
                  }
                  border-radius: 1.4rem;
                  font-size: 1.6rem;
                  padding: 0.6rem;
                  touch-action: none;
                  transform: translate(0px, 0px);
                }
              }
            }
          }
        }
      }
    }
  }
}
@include screen-1024-landscape {
  .pt-o-game-6 {
    &__instruction {
      padding: 5px 10px;
      height: 60px;
      min-height: 60px;
      span {
        font-size: 1.6rem;
      }
    }

    &__container {
      height: calc(100% - 60px);
      padding: 0 10px;
      .game-dd1-section {
        &__exam-answers {
          // .header_exam {
          //   span {
          //     font-size: 1.8rem;
          //   }
          // }
          .item_exam {
            &__list {
              &:last-child {
                padding-right: 0;
              }
              .__image {
                height: auto;
                min-width: 100px;
                width: 100px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.35rem;
                }
                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.35rem;
                      line-height: 22px;
                    }
                  }
                }
              }
            }
          }
        }
        &__content {
          .box-answer {
            .item-image {
            }

            .item-answers {
              // min-height: 18rem;
              min-height: 10rem;
              .__drop {
                &-box {
                  width: 100%;
                  min-height: 10rem;
                  height: unset;
                  padding: 0 3.2rem 0.6rem 3.2rem;
                  border-radius: 2.4rem;
                }

                &-item {
                  margin: 0.6rem;
                  transition: transform 0.25s ease-in-out;
                }

                &-content {
                  padding: 0.8rem;
                  font-size: 1.6rem;
                  line-height: 1.6rem;
                }
              }

              .__drag {
                &-box {
                  width: 100%;
                  // padding: 0 1.6rem 0.6rem 1.6rem;
                  flex: 1;
                }

                &-length {
                  height: 100%;
                  display: flex;
                  flex-wrap: wrap;
                  align-items: center;
                  justify-content: center;
                  align-content: center;
                }

                &-item {
                  min-width: 8ch;
                  margin: 0.6rem;
                  text-align: center;

                  &.--hidden {
                    display: none;
                  }
                }

                &-content {
                  padding: 0.4rem;
                  background: $dodgerBlue;
                  border-radius: 1rem;
                  box-shadow: 0 0.4rem 0 $lightSkyBlue;
                  color: $white;
                  cursor: grab;
                  font-family: 'mont_sb';
                  font-size: 1.6rem;
                  line-height: 1.6rem;
                  position: relative;

                  &:hover {
                    &::before {
                      opacity: 1;
                    }
                  }

                  &::before {
                    width: 100%;
                    height: 100%;
                    background: linear-gradient($limeGreen, $emerald);
                    border-radius: 1.2rem;
                    box-shadow: 0 0.4rem 0 $lightGreen;
                    content: '';
                    opacity: 0;
                    pointer-events: none;
                    position: absolute;
                    top: 0;
                    left: 0;
                    z-index: 1;
                    transition: opacity 0.25s ease-in-out;
                  }

                  &.--invisible {
                    opacity: 0;
                  }

                  & > span {
                    position: relative;
                    z-index: 2;
                    margin: 0 1rem;
                  }
                }
              }
            }
          }
        }
      }
    }

    &__dragging-clone {
      padding: 0.8rem;
      border-radius: 1rem;
      color: $white;
      font-family: 'mont_sb';
      font-size: 1.6rem;
      line-height: 1.6rem;
      opacity: 0;
      pointer-events: none;
      position: fixed;
      z-index: 1000;
      transform: translate(calc(-50% - 1.6rem), calc(-50% - 1.6rem));
    }
  }
}
@include screen-960-landscape {
  .pt-o-game-6 {
    $font-size: 1.4rem;
    $line-height: 22px;
    &__instruction {
      padding: 8px;
      height: 55px;
      min-height: 55px;
      span {
        font-size: 1.6rem;
        line-height: $line-height;
      }
    }

    &__container {
      height: calc(100% - 55px);
      padding: 0 10px;
      .game-dd1-section {
        &__exam-answers {
          padding: 0 0 1rem;
          border-radius: 10px;
          .header_exam {
            span {
              font-size: 1.2rem;
              line-height: $line-height;
            }
          }
          .item_exam {
            &__list {
              &:last-child {
                padding-right: 0;
              }
              .__image {
                height: auto;
                min-width: 90px;
                width: 90px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.15rem;
                  padding: 4px 12px;
                  line-height: 20px;
                }
                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.15rem;
                      line-height: $line-height;
                    }
                  }
                }
              }
            }
          }
        }

        &__content {
          padding: 0;
          display: flex;
          flex-direction: column;
          .header_questions {
            span {
              font-size: $font-size;
            }
          }
          .box-answer {
            .item-image {
            }

            .item-answers {
              // min-height: 16rem;
              min-height: 6rem;
              .__drop {
                &-box {
                  width: 100%;
                  min-height: 6rem;
                  height: unset;
                  padding: 0 3.2rem 0.6rem 3.2rem;
                  border-radius: 2.4rem;
                }

                &-item {
                  margin: 0.6rem;
                  transition: transform 0.25s ease-in-out;
                }

                &-content {
                  padding: 0.8rem;
                  font-size: 1.2rem;
                  line-height: 1.2rem;
                }
              }

              .__drag {
                &-box {
                  width: 100%;
                  // padding: 0 1.6rem 0.6rem 1.6rem;
                  flex: 1;
                }

                &-length {
                  height: 100%;
                  display: flex;
                  flex-wrap: wrap;
                  align-items: center;
                  justify-content: center;
                  align-content: center;
                }

                &-item {
                  min-width: 8ch;
                  margin: 0.6rem;
                  text-align: center;

                  &.--hidden {
                    display: none;
                  }
                }

                &-content {
                  padding: 0.4rem;
                  background: $dodgerBlue;
                  border-radius: 1rem;
                  box-shadow: 0 0.4rem 0 $lightSkyBlue;
                  color: $white;
                  cursor: grab;
                  font-family: 'mont_sb';
                  font-size: 1.2rem;
                  line-height: 1.6rem;
                  position: relative;

                  &:hover {
                    &::before {
                      opacity: 1;
                    }
                  }

                  &::before {
                    width: 100%;
                    height: 100%;
                    background: linear-gradient($limeGreen, $emerald);
                    border-radius: 1.2rem;
                    box-shadow: 0 0.4rem 0 $lightGreen;
                    content: '';
                    opacity: 0;
                    pointer-events: none;
                    position: absolute;
                    top: 0;
                    left: 0;
                    z-index: 1;
                    transition: opacity 0.25s ease-in-out;
                  }

                  &.--invisible {
                    opacity: 0;
                  }

                  & > span {
                    position: relative;
                    z-index: 2;
                    margin: 0 1rem;
                  }
                }
              }
            }
          }
        }
      }
    }

    &__dragging-clone {
      padding: 0.8rem;
      border-radius: 1rem;
      color: $white;
      font-family: 'mont_sb';
      font-size: 1.6rem;
      line-height: 1.6rem;
      opacity: 0;
      pointer-events: none;
      position: fixed;
      z-index: 1000;
      transform: translate(calc(-50% - 1.6rem), calc(-50% - 1.6rem));
    }
  }
}
@include screen-768-landscape {
  .pt-o-game-6 {
    $font-size: 1.2rem;
    $line-height: 22px;

    &__container {
      padding: 0 10px 10px;
      height: calc(100% - 50px);
    }
    &__instruction {
      padding: 5px;
      height: 50px;
      min-height: 50px;
      span {
        font-size: 1.4rem;
        line-height: $line-height;
      }
    }
    &__container {
      padding: 0 10px 10px;

      .game-dd1-section {
        &__exam-answers {
          padding: 0 0 1rem;
          border-radius: 10px;
          .header_exam {
            padding: 0;
            span {
              font-size: 1.2rem;
            }
          }
          .item_exam {
            flex: 1;
            flex-wrap: wrap;
            width: auto;
            flex-direction: column;
            align-items: flex-start;

            &__list {
              padding-bottom: 1rem;
              width: 100%;
              padding-right: 0;

              &:last-child {
                padding-bottom: 0;
              }
              .__image {
                height: auto;
                width: 90px;
                min-width: 90px;
              }
              .dd1-example-keyword {
                &__cell {
                  font-size: 1.15rem;
                  font-size: 1.15rem;
                  padding: 4px 10px;
                  line-height: 18px;
                  border-radius: 15px;
                }
                .dd1-example-answers {
                  &__text {
                    span {
                      font-size: 1.15rem;
                      line-height: $line-height;
                    }
                  }
                }
              }
            }
          }
        }
        &__content {
          padding: 0;
          display: flex;
          .header_questions {
            span {
              font-size: $font-size;
            }
          }
          .box-answer {
            .item-image {
            }
            .item-answers {
              // min-height: 16rem;
              min-height: 6rem;
              .__drop {
                &-box {
                  width: 100%;
                  min-height: 6rem;
                  height: unset;
                  padding: 0 3.2rem 0.6rem 3.2rem;
                  border-radius: 2.4rem;
                }

                &-item {
                  margin: 0.6rem;
                  transition: transform 0.25s ease-in-out;
                }

                &-content {
                  padding: 0.8rem;
                  font-size: 1.2rem;
                  line-height: 1.2rem;
                }
              }

              .__drag {
                &-box {
                  width: 100%;
                  // padding: 0 1.6rem 0.6rem 1.6rem;
                  flex: 1;
                }

                &-length {
                  height: 100%;
                  display: flex;
                  flex-wrap: wrap;
                  align-items: center;
                  justify-content: center;
                  align-content: center;
                }

                &-item {
                  min-width: 8ch;
                  margin: 0.6rem;
                  text-align: center;

                  &.--hidden {
                    display: none;
                  }
                }

                &-content {
                  padding: 0.4rem;
                  background: $dodgerBlue;
                  border-radius: 1rem;
                  box-shadow: 0 0.4rem 0 $lightSkyBlue;
                  color: $white;
                  cursor: grab;
                  font-family: 'mont_sb';
                  font-size: 1.6rem;
                  line-height: 1.6rem;
                  position: relative;

                  &:hover {
                    &::before {
                      opacity: 1;
                    }
                  }

                  &::before {
                    width: 100%;
                    height: 100%;
                    background: linear-gradient($limeGreen, $emerald);
                    border-radius: 1.2rem;
                    box-shadow: 0 0.4rem 0 $lightGreen;
                    content: '';
                    opacity: 0;
                    pointer-events: none;
                    position: absolute;
                    top: 0;
                    left: 0;
                    z-index: 1;
                    transition: opacity 0.25s ease-in-out;
                  }

                  &.--invisible {
                    opacity: 0;
                  }

                  & > span {
                    position: relative;
                    z-index: 2;
                    margin: 0 1rem;
                    font-size: 1.2rem;
                  }
                }
              }
            }
          }
        }
      }
    }

    &__dragging-clone {
      padding: 0.8rem;
      border-radius: 1rem;
      color: $white;
      font-family: 'mont_sb';
      font-size: 1.6rem;
      line-height: 1.6rem;
      opacity: 0;
      pointer-events: none;
      position: fixed;
      z-index: 1000;
      transform: translate(calc(-50% - 1.6rem), calc(-50% - 1.6rem));
    }
  }
}
